package sklep.logika;

import java.math.BigDecimal;

import sklep.baza.Baza;
import sklep.exn.BladBazyDanych;
import sklep.exn.NieznanyTowar;
import sklep.model.Towar;

public class Katalog {
	private Baza baza;
	
	public Katalog(Baza aBaza) {
		baza = aBaza;
	}
	
	public Towar pobierzTowar(String nazwa) throws NieznanyTowar, BladBazyDanych {
		Towar wynik = baza.wezTowar(nazwa);
		if(wynik == null)
			throw NieznanyTowar.oNazwie(nazwa);
		else
			return wynik;

	}

	public void dodajTowar(Towar towar) throws BladBazyDanych {
		baza.zapiszTowar(towar);
	}

	public void zmienCeneWszystkichTowarow(BigDecimal zmiana) throws BladBazyDanych {
		baza.zmienWszystkieCeny(zmiana);
		
	}

	public void zmienCeneTowaru(String nazwa, BigDecimal zmiana) throws BladBazyDanych {
		baza.zmienCene(nazwa, zmiana);
	}
	
}








